################################################################################

{{- if eq .Values.global.filesystem.type "efs" }}

apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: "{{ .Release.Name }}"
  labels: 
{{- include "php-nginx.labels" . | indent 4 }}
spec:
  accessModes:
    - ReadWriteMany
  storageClassName: ""
  resources:
    requests:
      storage: {{ .Values.global.filesystem.size_gb }}Gi

{{- end }}

################################################################################
